# Info

Packages up various stuff using the bare minimum of interaction to make a .deb package.

.deb packages are 'ar' files. You can create them with 'ar', but the recommended way
seems to be to use dpkg-deb.

The packages themselves you can browse and/or download here:

http://mirrors.wit.org/wit/pool/main/

# Makefile
```
help:
	@echo
	@echo "# this are just simple shortcuts to package up files on a system once you have it compiled and installed"
	@echo "cd <projectName>; make all"
	@echo

#
# Just for reference, you can make a debian package using 'ar' from the command line
#
# A .deb file is just output from 'ar rcs'
#
tar-ar:
	cd DEBIAN && tar --ignore-failed-read -cvJf ../control.tar.xz .
	cd files && tar -cvJf ../data.tar.xz .
	ar rcs ${BASENAME}_${VERSION}_amd64.deb debian-binary control.tar.xz data.tar.xz
	dpkg-deb --info ${BASENAME}_${VERSION}_amd64.deb

clean:
	rm -rf files/
	rm -f *.deb
	rm -f *.tar.xz data.tar.xz
	rm -rf */DEBIAN/
```
